Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163447 - RFE: No newline at end of ecj error output
Summary: RFE: No newline at end of ecj error output
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: ecj
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jon VanAlten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-16 23:39 UTC by Robin Green
Modified: 2013-07-18 08:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-18 08:41:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Eclipse Project 405176 None None None Never

Description Robin Green 2005-07-16 23:39:41 UTC
Description of problem:
ecj does not output a newline at the end of its error output (if any), so the
bash command prompt (if called interactively) or the next output of the script
(if called non-interactively) gets put on the same line as the last line of the
ecj error output.

You could argue that this is an upstream issue, but upstream might say "it
depends how you use it". If you run it within eclipse it is not a problem. If
you run "ecj Foo.java" from the command line though, you definitely don't want
an absence of a newline at the end of the output.

Version-Release number of selected component (if applicable):
eclipse-ecj-3.1.0_fc-2

How reproducible:
Always

Steps to Reproduce:
1. Compile a class which has errors using ecj Classname.java
  
Actual results:
----------
1. ERROR in org/greenrd/stripj/StripJ.java
 (at line 37)
        byte[] result = stripClass (fi, f.length ());
                        ^^^^^^^^^^
The method stripClass(InputStream, int) in the type StripJ is not applicable for
the arguments (FileInputStream, long)
----------
1 problem (1 error)[root@pob src]# 

Expected results:
----------
1. ERROR in org/greenrd/stripj/StripJ.java
 (at line 37)
        byte[] result = stripClass (fi, f.length ());
                        ^^^^^^^^^^
The method stripClass(InputStream, int) in the type StripJ is not applicable for
the arguments (FileInputStream, long)
----------
1 problem (1 error)
[root@pob src]#

Comment 1 Mat Booth 2013-04-08 15:10:50 UTC
I noticed this recently.

I submitted a patch upstream for consideration: https://bugs.eclipse.org/bugs/show_bug.cgi?id=405176

Comment 2 Jon VanAlten 2013-04-08 21:56:34 UTC
(In reply to comment #1)
> I noticed this recently.
> 
> I submitted a patch upstream for consideration:
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=405176

Great!  I'll wait to see what upstream has to say.  Probably not worth maintaining a patch in fedora if it will come down the pipe in a later release.

Comment 3 Mat Booth 2013-07-18 08:41:03 UTC
Finally got committed upstream's master branch:

http://git.eclipse.org/c/jdt/eclipse.jdt.core.git/commit/?id=2f57f8dfaade218a320169042ea7ed8e042be61d

The fix will be available in a future release of ECJ/JDT so I'm closing this bug.


Note You need to log in before you can comment on or make changes to this bug.